#version 330 

smooth in vec4 theColor; 
smooth in vec3 vNormal; 

out vec4 outputColor; 

uniform vec4 colorVector;

struct SimpleDirectionalLight{
	vec3 vColor;
	vec3 vDirection;
	float fAmbientIntensity;
};
uniform SimpleDirectionalLight sunLight;


void main() 
{ 
   float fDiffuseIntensity = max(0.0, dot(normalize(vNormal), -sunLight.vDirection)); 
   outputColor = theColor * colorVector * vec4(sunLight.vColor * (sunLight.fAmbientIntensity + fDiffuseIntensity), 1.0); 
}